<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY xfce4-power-manager-download-http
           "https://archive.xfce.org/src/xfce/xfce4-power-manager/&xfce4-version;/xfce4-power-manager-&xfce4-power-manager-version;.tar.bz2">
  <!ENTITY xfce4-power-manager-download-ftp  " ">
  <!ENTITY xfce4-power-manager-md5sum        "a9e27be5dafea884fb9fbbb918062963">
  <!ENTITY xfce4-power-manager-size          "1.5 MB">
  <!ENTITY xfce4-power-manager-buildsize     "19 MB">
  <!ENTITY xfce4-power-manager-time          "0.1 SBU">
]>

<sect1 id="xfce4-power-manager" xreflabel="xfce4-power-manager-&xfce4-power-manager-version;">
  <?dbhtml filename="xfce4-power-manager.html"?>


  <title>xfce4-power-manager-&xfce4-power-manager-version;</title>

  <indexterm zone="xfce4-power-manager">
    <primary sortas="a-xfce4-power-manager">xfce4-power-manager</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Xfce4 Power Manager</title>

    <para>
      The <application>Xfce4 Power Manager</application> is a power manager for
      the <application>Xfce</application> desktop, <application>Xfce power
      manager</application> manages the power sources on the computer and the
      devices that can be controlled to reduce their power consumption (such as
      LCD brightness level or monitor sleep). In addition,
      <application>Xfce4 Power Manager</application> provides a set of
      freedesktop-compliant <application>DBus</application> interfaces to
      inform other applications about current power level so that they can
      adjust their power consumption.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&xfce4-power-manager-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&xfce4-power-manager-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &xfce4-power-manager-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &xfce4-power-manager-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &xfce4-power-manager-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &xfce4-power-manager-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Xfce4 Power Manager Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libnotify"/>,
      <xref linkend="upower"/>, and
      <xref linkend="xfce4-panel"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="polkit"/> (required for laptop backlight control)
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="NetworkManager"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Xfce4 Power Manager</title>

    <para>
      Install <application>Xfce4 Power Manager</application> by running the
      following commands:
    </para>

<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          xfce4-power-manager,
          xfce4-power-manager-settings,
          xfce4-pm-helper, and
          xfpm-power-backlight-helper
        </seg>
        <seg>
          libxfce4powermanager.so
        </seg>
        <seg>
          None
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="xfce4-pm-helper">
        <term><command>xfce4-pm-helper</command></term>
        <listitem>
          <para>
            is a helper program for the suspend and hibernate functions of
            <command>xfce4-power-manager</command>
          </para>
          <indexterm zone="xfce4-power-manager xfce4-pm-helper">
            <primary sortas="b-xfce4-pm-helper">xfce4-pm-helper</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfce4-power-manager-prog">
        <term><command>xfce4-power-manager</command></term>
        <listitem>
          <para>
            is the <application>Xfce</application> Power Manager
          </para>
          <indexterm zone="xfce4-power-manager xfce4-power-manager-prog">
            <primary sortas="b-xfce4-power-manager">xfce4-power-manager</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfce4-power-manager-settings">
        <term><command>xfce4-power-manager-settings</command></term>
        <listitem>
          <para>
            is a utility that comes with the <application>Xfce</application>
            Power Manager to access/change its configuration
          </para>
          <indexterm zone="xfce4-power-manager xfce4-power-manager-settings">
            <primary sortas="b-xfce4-power-manager-settings">xfce4-power-manager-settings</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="xfpm-power-backlight-helper">
        <term><command>xfpm-power-backlight-helper</command></term>
        <listitem>
          <para>
            is a command line utility to get or set the brightness of your
            screen
          </para>
          <indexterm zone="xfce4-power-manager xfpm-power-backlight-helper">
            <primary sortas="b-xfpm-power-backlight-helper">xfpm-power-backlight-helper</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
